import { SvelteComponent } from "svelte";
import { type ComponentFilters, type FiltersCustomToExport } from "../index";
declare const __propDef: {
    props: {
        /** @type {ComponentFilters['type']} */ type?: ComponentFilters["type"];
        /** @type {ComponentFilters['toSelectors']} */ toSelectors?: ComponentFilters["toSelectors"];
        /** @type {ComponentFilters['btn']} */ btn?: ComponentFilters["btn"];
        /** @type {ComponentFilters['content']} */ content?: ComponentFilters["content"];
        /** @type {ComponentFilters['locales']} */ locales?: ComponentFilters["locales"];
        /** @type {ComponentFilters['id']} */ id?: ComponentFilters["id"];
        /** @type {ComponentFilters['active']} */ active?: ComponentFilters["active"];
        /** @type {ComponentFilters['document']} */ document?: ComponentFilters["document"];
        /** @type {ComponentFilters['position']} */ position?: ComponentFilters["position"];
        /** @type {ComponentFilters['optionsLimit']} */ optionsLimit?: ComponentFilters["optionsLimit"];
        /** @type {ComponentFilters['valuesChanged']} */ valuesChanged?: ComponentFilters["valuesChanged"];
        /** @type {ComponentFilters['values']} */ value?: FiltersCustomToExport["values"];
        /** @type {ComponentFilters['hide']} */ hide?: FiltersCustomToExport["hide"];
        /** @type {ComponentFilters['presets']} */ presetsValue?: FiltersCustomToExport["presets"];
        /** @type {(v: ComponentFilters['active']) => void} */ changeActive?: (v: ComponentFilters["active"]) => void;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        header: {
            slot: string;
        };
        content: {
            slot: string;
        };
        footer: {
            slot: string;
        };
    };
    exports?: {} | undefined;
    bindings?: string | undefined;
};
export type MainProps = typeof __propDef.props;
export type MainEvents = typeof __propDef.events;
export type MainSlots = typeof __propDef.slots;
/**
 * [Go to docs](/packages/_core/docs/components-index.md)
 *
 * @example
 * <Filters
 *   type={componentTypes.filters.main}
 *   active={true}
 *   id='ps-s8-styless'
 *   btn={{
 *     title : 'Super 8',
 *   }}
 *   position='right'
 *   locales={undefined}
 *   toSelectors={[
 *     'iframe',
 *   ]}
 *   document={undefined}
 *   content={{
 *     height: '80vh'
 *   }}
 *   bind:value={value}
 *   bind:hide={isHide}
 *   bind:presetsValue={presetsValue}
 * >
 *   <div slot="header" class="flex flex-col items-center">
 *     <img src="/logo.png" alt="Logo" width="200px" >
 *   </div>
 *   <div slot="content">
 *     <Not >
 *     This a custom notification
 *     </Not>
 *   </div>
 *   <div slot="footer" class="flex flex-col items-center">
 *     <span class="opacity-50 text-[10px]">© copyright PigeonPosse</span>
 *   </div>
 * </Filters>
 */
export default class Main extends SvelteComponent<MainProps, MainEvents, MainSlots> {
    get changeActive(): (v: ComponentFilters["active"]) => void;
}
export {};
